package com.ss.android.ugc.aweme.legoImp.task;

import X.2kf;
import X.8Zd;
import X.8Ze;
import X.8ec;
import X.9EH;
import X.9Ft;
import X.9Fx;
import X.9Jf;
import X.M12;
import X.Pwn;
import X.Pxu;
import android.app.Application;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import java.util.List;
import org.greenrobot.eventbus.EventBus;

public class WebSocketTask implements 8Ze {
    static {
        Covode.recordClassIndex(90674);
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "task_";
    }

    public boolean serialExecute() {
        return false;
    }

    public int targetProcess() {
        return 1;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public 9Ft triggerType() {
        return 8Zd.LIZ(this);
    }

    public 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public 8ec type() {
        return 8ec.BOOT_FINISH;
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public void run(Context context) {
        MethodCollector.i(2561);
        2kf.LIZ("WebSocketTask");
        Pwn LIZ = Pwn.LJIIJ.LIZ();
        Application application = (Application) 9EH.LJJIFFI.LIZ();
        M12.LIZ(application);
        Pxu.LIZ(application, LIZ.LJ);
        synchronized (LIZ) {
            try {
                EventBus.LIZ(EventBus.LIZ(), LIZ);
            } catch (Throwable th) {
                MethodCollector.o(2561);
                throw th;
            }
        }
        9Jf.LIZ.LIZ(true, "websocket_task");
        MethodCollector.o(2561);
    }
}
